Subject: Re: checkout: clarify "up to date with origin/" uses local remote-tracking ref

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Apr 2026 08:23:16 -0700

Jesko Schwarzer <[email-masked]> writes:

> Would the project consider one of the following?
>      1. *Clearer messaging*, e.g. indicating that the comparison is 
> against the last-known origin/<branch> (or similar wording that does not 
> imply a live remote check).

Surely.  Patches to start discussions are very much welcome.

>      2. *Optional context* when available (e.g. from reflog or last 
> fetch time), so users know how stale the origin/* ref might be — if that 
> is technically and policy-wise acceptable.

I am imagining that #1 above would add something that conveys
"relative to the last known state", and this will extend/replace the
phrase you would choose for "the last known state" with "as of N
days ago" or something when necessary pieces of information is
available, right?  That sounds entirely feasible.

> I understand Git deliberately avoids implicit network access on 
> checkout; the issue is only that the status text does not make the 
> "local remote-tracking ref" semantics obvious to everyone.